.input-container
{
    float: left;
    width: 50%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0 10px;
}

#title
{
    width: 100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0 10px;
}

#query
{
    width: 100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    height:50px;
    padding: 0 10px;
}

#data
{
    width: 100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0 10px;
}

.input-container.submit-button-container
{
    width: calc(100% + 10px);
    text-align: right;
    background-color: #3949ab;
    padding: 10px 20px;
}

.constraint .form-input-container
{
    float: left;
    box-sizing: border-box;
}


.input-block
{
    display: block;
}

#radio
{
    margin-top:20px;
    box-sizing: border-box;
}

#checkbox
{
    margin-left:8px;
    margin-right:4px;
    float:left;
    margin-top:20px;
}

#monthField
{
    float: left;
}

#info .item
{
    float: left;
    margin-left: 20px;
}


.form-input-container
{
    margin: 0px auto;
}

.input-message-container
{
    height: 15px;
}

.input-message-container.select-message
{
    margin-top: 1em;
}

.error-message
{
    color: red;
    margin:0;
    font-size: 10pt;
}

.outer-container
{
    overflow-y: scroll;
    height: calc(100vh - 112px);
}

.mat-table {
    overflow: auto;
    max-height: 500px;
}


/* Structure */
.example-container {
    display: flex;
    flex-direction: column;
    min-width: 300px;
}

/*
* Styles to make the demo's cdk-table match the material design spec
* https://material.io/guidelines/components/data-tables.html
*/
.example-table {
    flex: 1 1 auto;
    max-height: 500px;
}

.example-header-row, .example-row {
    display: flex;
    border-bottom: 1px solid #ccc;
    align-items: center;
    height: 32px;
    padding: 0 8px;
}

.example-cell, .example-header-cell {
    flex: 1;    
}

.example-header-cell {
    padding: 2px;
    font-size: 14px;
    font-weight: bold;
    color: rgba(0, 0, 0, 0.54);
}

.example-cell {
    text-align: center;
    padding: 2px;
    font-size: 13px;
    color: rgba(0, 0, 0, 0.87);
}

.utility-icon
{
    cursor: pointer;
}

.example-cell-icon .example-header-cell-icon{
    flex:0;
}

.searchButton
{
    position: relative;
    right: 40px;
    float: right;
    margin-left: 20px;
}

#query #format
{
    position: relative;
    right: 40px;
    float: right;
}

#query #upload
{
    float: left;
}